<!DOCTYPE html>
<html lang="fr">
<head>
    <meta charset="UTF-8">
    <meta name="author" content="Micropachycephalosaurus">

    <title>{% block title %}{% endblock %} - My Webpage</title>
    <link rel="stylesheet" type="text/css" href="/assets/css/normalize.css" />
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">

    {% block include_css %} {% endblock %}
</head>
<body>
    <header>
        <nav class="navbar navbar-expand-lg navbar-light bg-light">
            <a class="navbar-brand" href="#">Navbar</a>
            <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
                <span class="navbar-toggler-icon"></span>
            </button>

            <div class="collapse navbar-collapse" id="navbarSupportedContent">
                <ul class="navbar-nav mr-auto">
                    <li class="nav-item active">
                        <a class="nav-link" href="/">Accueil</a>
                    </li>
                    {% if contributor != null %}
                        <li class="nav-item">
                            <a class="nav-link" href="/project/add">Nouveau projet</a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link" href="/project/list/{{ contributor.id }}">Mes projets</a>
                        </li>
                    {% endif %}

                    <li class="nav-item">
                        <a class="nav-link" href="/contributor/profile/update/{{ USER_ID }}">Profil</a>
                    </li>
                </ul>
                {% if contributor != null %}

                    <a class="btn btn-danger" href="/disconnect" role="button">deconexion</a>

                {% else %}
                    <form class="form-inline my-2 my-lg-0" method="post" action="/login">
                        <input class="form-control mr-sm-2" type="text" placeholder="identifiant" name="pseudo" aria-label="Search">
                        <input class="form-control mr-sm-2" type="password" name="password" placeholder="mot de passe" aria-label="Search">
                        <button class="btn btn-outline-success my-2 my-sm-0" type="submit">connection</button>
                    </form>
                {% endif %}

            </div>
        </nav>
    </header>

    {% if flash != null %}
    <div class="alert {{ flash.type }} alert-dismissible fade show" role="alert">
        {{ flash.message }}
        <button type="button" class="close" data-dismiss="alert" aria-label="Close">
            <span aria-hidden="true">&times;</span>
        </button>
    </div>
    {% endif %}


    {% block content %} {% endblock %}

    <footer>
        {% block footer %}
                &copy; Copyright 2008 by <a href="http://domain.invalid/">you</a>.
        {% endblock %}
    </footer>


    <script src="https://code.jquery.com/jquery-3.3.1.slim.min.js" integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo" crossorigin="anonymous"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js" integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1" crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js" integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM" crossorigin="anonymous"></script>
    {% block include_js %} {% endblock %}
</body>
</html>